#include "pmu-events/pmu-events.h"
struct pmu_event pme_arm_cortex_a53[] = {
{
	.name = "br_indirect_spec",
	.event = "event=0x7a",
	.desc = "Branch speculatively executed, indirect branch",
	.topic = "branch",
	.long_desc = "Branch speculatively executed, indirect branch",
},
{
	.name = "br_cond",
	.event = "event=0xc9",
	.desc = "Conditional branch executed",
	.topic = "branch",
},
{
	.name = "br_indirect_mispred",
	.event = "event=0xca",
	.desc = "Indirect branch mispredicted",
	.topic = "branch",
},
{
	.name = "br_indirect_mispred_addr",
	.event = "event=0xcb",
	.desc = "Indirect branch mispredicted because of address miscompare",
	.topic = "branch",
},
{
	.name = "br_cond_mispred",
	.event = "event=0xcc",
	.desc = "Conditional branch mispredicted",
	.topic = "branch",
},
{
	.name = "ext_mem_req",
	.event = "event=0xc0",
	.desc = "External memory request",
	.topic = "memory",
},
{
	.name = "ext_mem_req_nc",
	.event = "event=0xc1",
	.desc = "Non-cacheable external memory request",
	.topic = "memory",
},
{
	.name = "exc_irq",
	.event = "event=0x86",
	.desc = "Exception taken, IRQ",
	.topic = "other",
	.long_desc = "Exception taken, IRQ",
},
{
	.name = "exc_fiq",
	.event = "event=0x87",
	.desc = "Exception taken, FIQ",
	.topic = "other",
	.long_desc = "Exception taken, FIQ",
},
{
	.name = "pre_decode_err",
	.event = "event=0xc6",
	.desc = "Pre-decode error",
	.topic = "other",
},
{
	.name = "l1i_cache_err",
	.event = "event=0xd0",
	.desc = "L1 Instruction Cache (data or tag) memory error",
	.topic = "other",
},
{
	.name = "l1d_cache_err",
	.event = "event=0xd1",
	.desc = "L1 Data Cache (data, tag or dirty) memory error, correctable or non-correctable",
	.topic = "other",
},
{
	.name = "tlb_err",
	.event = "event=0xd2",
	.desc = "TLB memory error",
	.topic = "other",
},
{
	.name = "prefetch_linefill",
	.event = "event=0xc2",
	.desc = "Linefill because of prefetch",
	.topic = "cache",
},
{
	.name = "prefetch_linefill_drop",
	.event = "event=0xc3",
	.desc = "Instruction Cache Throttle occurred",
	.topic = "cache",
},
{
	.name = "read_alloc_enter",
	.event = "event=0xc4",
	.desc = "Entering read allocate mode",
	.topic = "cache",
},
{
	.name = "read_alloc",
	.event = "event=0xc5",
	.desc = "Read allocate mode",
	.topic = "cache",
},
{
	.name = "ext_snoop",
	.event = "event=0xc8",
	.desc = "SCU Snooped data from another CPU for this CPU",
	.topic = "cache",
},
{
	.name = "stall_sb_full",
	.event = "event=0xc7",
	.desc = "Data Write operation that stalls the pipeline because the store buffer is full",
	.topic = "pipeline",
},
{
	.name = "other_iq_dep_stall",
	.event = "event=0xe0",
	.desc = "Cycles that the DPU IQ is empty and that is not because of a recent micro-TLB miss, instruction cache miss or pre-decode error",
	.topic = "pipeline",
},
{
	.name = "ic_dep_stall",
	.event = "event=0xe1",
	.desc = "Cycles the DPU IQ is empty and there is an instruction cache miss being processed",
	.topic = "pipeline",
},
{
	.name = "iutlb_dep_stall",
	.event = "event=0xe2",
	.desc = "Cycles the DPU IQ is empty and there is an instruction micro-TLB miss being processed",
	.topic = "pipeline",
},
{
	.name = "decode_dep_stall",
	.event = "event=0xe3",
	.desc = "Cycles the DPU IQ is empty and there is a pre-decode error being processed",
	.topic = "pipeline",
},
{
	.name = "other_interlock_stall",
	.event = "event=0xe4",
	.desc = "Cycles there is an interlock other than  Advanced SIMD/Floating-point instructions or load/store instruction",
	.topic = "pipeline",
},
{
	.name = "agu_dep_stall",
	.event = "event=0xe5",
	.desc = "Cycles there is an interlock for a load/store instruction waiting for data to calculate the address in the AGU",
	.topic = "pipeline",
},
{
	.name = "simd_dep_stall",
	.event = "event=0xe6",
	.desc = "Cycles there is an interlock for an Advanced SIMD/Floating-point operation",
	.topic = "pipeline",
},
{
	.name = "ld_dep_stall",
	.event = "event=0xe7",
	.desc = "Cycles there is a stall in the Wr stage because of a load miss",
	.topic = "pipeline",
},
{
	.name = "st_dep_stall",
	.event = "event=0xe8",
	.desc = "Cycles there is a stall in the Wr stage because of a store",
	.topic = "pipeline",
},
{
	.name = "bus_access_rd",
	.event = "event=0x60",
	.desc = "Bus access read",
	.topic = "bus",
	.long_desc = "Bus access read",
},
{
	.name = "bus_access_wr",
	.event = "event=0x61",
	.desc = "Bus access write",
	.topic = "bus",
	.long_desc = "Bus access write",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_hisilicon_hip09_sys[] = {
{
	.name = "sllc_cycles",
	.event = "event=0x9",
	.desc = "Count of SLLC cycles. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "cycles",
	.event = "event=0",
	.desc = "Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "rx_req_sum",
	.event = "event=0x20",
	.desc = "total cycles SLLC taken to receive requests. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "rx_data_sum",
	.event = "event=0x21",
	.desc = "total cycles SLLC taken to receive data. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "tx_req_sum",
	.event = "event=0x24",
	.desc = "total cycles SLLC taken to transmit requests. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "tx_data_sum",
	.event = "event=0x25",
	.desc = "total cycles SLLC taken to transmit data. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "rx_req",
	.event = "event=0x30",
	.desc = "Count of the requests received by SLLC. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "rx_data",
	.event = "event=0x31",
	.desc = "Count of the data received by SLLC. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "tx_req",
	.event = "event=0x34",
	.desc = "Count of the requests transmitted by SLLC. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.name = "tx_data",
	.event = "event=0x35",
	.desc = "Count of the data transmitted by SLLC. Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
},
{
	.desc = "Average latency of SLLC receive requests(cycles). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "rx_req_sum / rx_req",
	.metric_name = "sllc_rx_req_lat",
	.metric_group = "SLLC",
},
{
	.desc = "Average latency of SLLC receive data(cycles). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "rx_data_sum / rx_data",
	.metric_name = "sllc_rx_data_lat",
	.metric_group = "SLLC",
},
{
	.desc = "Average latency of SLLC transmit requests(cycles). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "tx_req_sum / tx_req",
	.metric_name = "sllc_tx_req_lat",
	.metric_group = "SLLC",
},
{
	.desc = "Average latency of SLLC transmit data(cycles). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "tx_data_sum / tx_data",
	.metric_name = "sllc_tx_data_lat",
	.metric_group = "SLLC",
},
{
	.desc = "Average bandwidth of SLLC receive requests(bits/s). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "rx_req * 332 / duration_time",
	.metric_name = "sllc_rx_req_bw",
	.metric_group = "SLLC",
},
{
	.desc = "Average bandwidth of SLLC receive data(bits/s). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "rx_data * 332 / duration_time",
	.metric_name = "sllc_rx_data_bw",
	.metric_group = "SLLC",
},
{
	.desc = "Average bandwidth of SLLC transmit requests(bits/s). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "tx_req * 332 / duration_time",
	.metric_name = "sllc_tx_req_bw",
	.metric_group = "SLLC",
},
{
	.desc = "Average bandwidth of SLLC transmit data(bits/s). Unit: hisi_sccl,sllc ",
	.compat = "0x00000030",
	.topic = "uncore sllc",
	.pmu = "hisi_sccl,sllc",
	.metric_expr = "tx_data * 332 / duration_time",
	.metric_name = "sllc_tx_data_bw",
	.metric_group = "SLLC",
},
{
	.name = "pa_cycles",
	.event = "event=0x78",
	.desc = "Count of PA cycles. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "cycle",
	.event = "event=0",
	.desc = "Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "rx_req",
	.event = "event=0x40",
	.desc = "Count of the requests received by PA link0. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "rx_req_link1",
	.event = "event=0x41",
	.desc = "Count of the requests received by PA link1. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "rx_req_link2",
	.event = "event=0x42",
	.desc = "Count of the requests received by PA link2. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "rx_req_link3",
	.event = "event=0x43",
	.desc = "Count of the requests received by PA link3. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "tx_req",
	.event = "event=0x5c",
	.desc = "Count of the requests transmitted by PA link0. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "tx_req_link1",
	.event = "event=0x5d",
	.desc = "Count of the requests transmitted by PA link1. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "tx_req_link2",
	.event = "event=0x5e",
	.desc = "Count of the requests transmitted by PA link2. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.name = "tx_req_link3",
	.event = "event=0x5f",
	.desc = "Count of the requests transmitted by PA link3. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
},
{
	.desc = "Average bandwidth of PA receive requests. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
	.metric_expr = "(rx_req + rx_req_link1 + rx_req_link2 + rx_req_link3) / duration_time",
	.metric_name = "pa_rx_req_bw",
	.metric_group = "PA",
},
{
	.desc = "Average bandwidth of PA transmitted requests. Unit: uncore_hisi_sicl,pa ",
	.compat = "0x00000030",
	.topic = "uncore pa",
	.pmu = "uncore_hisi_sicl,pa",
	.metric_expr = "(tx_req + tx_req_link1 + tx_req_link2 + tx_req_link3) / duration_time",
	.metric_name = "pa_tx_req_bw",
	.metric_group = "PA",
},
{
	.name = "rd_cpipe",
	.event = "event=0",
	.desc = "Total read accesses. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "rd_hit_cpipe",
	.event = "event=0x2",
	.desc = "Total read hits. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "rd_spipe",
	.event = "event=0x20",
	.desc = "Count of the number of read lines that come from this cluster of CPU core in spipe. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "rd_hit_spipe",
	.event = "event=0x22",
	.desc = "Count of the number of read lines that hits in spipe of this L3C. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "back_invalid",
	.event = "event=0x29",
	.desc = "Count of the number of L3C back invalid operations. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "retry_cpu",
	.event = "event=0x40",
	.desc = "Count of the number of retry that L3C suppresses the CPU operations. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "retry_ring",
	.event = "event=0x41",
	.desc = "Count of the number of retry that L3C suppresses the ring operations. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "l3c_hit",
	.event = "event=0x48",
	.desc = "Count of the total number of L3C hit. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "read_sum",
	.event = "event=0x80,tt_core=0xff",
	.desc = "total time taken by CPU to read L3C. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "l3c_ref",
	.event = "event=0xb8",
	.desc = "Count of the total number of CPU accessed L3C. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "dat_access",
	.event = "event=0xb9,tt_core=0xff",
	.desc = "Count of the total number of CPU accessed L3C. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "read_alloc",
	.event = "event=0xc0,tt_core=0xff",
	.desc = "Count of the requests issued by CPU received by L3C. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "retry_alloc",
	.event = "event=0xce,tt_core=0xff",
	.desc = "Count of the L3C retry CPU. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "l3c_cycles",
	.event = "event=0x7f",
	.desc = "Count of L3C cycles. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "cycles",
	.event = "event=0",
	.desc = "Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
},
{
	.desc = "hit rate of L3C. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
	.metric_expr = "l3c_hit / l3c_ref",
	.metric_name = "l3c_hit_rate",
	.metric_group = "L3Cache",
},
{
	.desc = "Average latency of CPU reading L3. Unit: hisi_sccl,l3c ",
	.compat = "0x00000030",
	.topic = "uncore l3c",
	.pmu = "hisi_sccl,l3c",
	.metric_expr = "read_sum / (l3c_ref - retry_alloc)",
	.metric_name = "l3c_latency",
	.metric_group = "L3Cache",
},
{
	.name = "rx_ops_num",
	.event = "event=0",
	.desc = "The number of all operations received by the HHA. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_outer",
	.event = "event=0x1",
	.desc = "The number of all operations received by the HHA from another socket. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_sccl",
	.event = "event=0x2",
	.desc = "The number of all operations received by the HHA from another SCCL in this socket. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rd_ddr_64b",
	.event = "event=0x1c",
	.desc = "The number of read operations sent by HHA to DDRC which size is 64 bytes. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "wr_ddr_64b",
	.event = "event=0x1d",
	.desc = "The number of write operations sent by HHA to DDRC which size is 64 bytes. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rd_ddr_128b",
	.event = "event=0x1e",
	.desc = "The number of read operations sent by HHA to DDRC which size is 128 bytes. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "wr_ddr_128b",
	.event = "event=0x1f",
	.desc = "The number of write operations sent by HHA to DDRC which size is 128 bytes. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "hha_retry",
	.event = "event=0x2e",
	.desc = "Count of the HHA retry. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "hha_cycles",
	.event = "event=0x55",
	.desc = "Count of the HHA cycles. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "cycles",
	.event = "event=0",
	.desc = "Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.desc = "Average bandwidth of reading DDRC(Byte/s). Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
	.metric_expr = "(rd_ddr_64b * 64 + rd_ddr_128b *128) / duration_time",
	.metric_name = "hha_read_ddrc_bw",
	.metric_group = "HHA",
},
{
	.desc = "Average bandwidth of writing DDRC(Byte/s). Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
	.metric_expr = "(wr_ddr_64b * 64 + wr_ddr_128b *128) / duration_time",
	.metric_name = "hha_write_ddrc_bw",
	.metric_group = "HHA",
},
{
	.desc = "Rate of cross-chip operations received by HHA. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
	.metric_expr = "rx_outer / rx_ops_num",
	.metric_name = "cross_chip_ops_rate",
	.metric_group = "HHA",
},
{
	.desc = "Rate of cross-die operations received by HHA. Unit: hisi_sccl,hha ",
	.compat = "0x00000030",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
	.metric_expr = "rx_sccl / rx_ops_num",
	.metric_name = "cross_die_ops_rate",
	.metric_group = "HHA",
},
{
	.name = "ddrc_cycles",
	.event = "event=0",
	.desc = "Count of DDRC cycles. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "cycles",
	.event = "event=0",
	.desc = "Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "act_cnt",
	.event = "event=0x1",
	.desc = "count of DDRC active commands. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "priority_cmd",
	.event = "event=0x7",
	.desc = "count of DMC commands with the highest priority. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "pre_act",
	.event = "event=0xb",
	.desc = "count of DDRC pre-active commands. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "read_cmd",
	.event = "event=0x41",
	.desc = "count of DDRC read commands. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "write_cmd",
	.event = "event=0x44",
	.desc = "count of DDRC write commands. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "read_cmd_occupancy",
	.event = "event=0x80",
	.desc = "count of cycles occupied by the read command in the queue. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "write_cmd_occupancy",
	.event = "event=0x81",
	.desc = "count of cycles occupied by the write command in the queue. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "flux_wr",
	.event = "event=0x83",
	.desc = "DDRC write commands. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "flux_rd",
	.event = "event=0x84",
	.desc = "DDRC read commands. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
},
{
	.desc = "Average bandwidth of DDRC memory write(Byte/s). Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
	.metric_expr = "flux_wr * 32 / duration_time",
	.metric_name = "ddrc_bw_write",
	.metric_group = "DDRC",
},
{
	.desc = "Average bandwidth of DDRC memory read(Byte/s). Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
	.metric_expr = "flux_rd * 32 / duration_time",
	.metric_name = "ddrc_bw_read",
	.metric_group = "DDRC",
},
{
	.desc = "Average bandwidth of DDRC (including memory read and write)(Byte/s). Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
	.metric_expr = "(flux_wr + flux_rd) * 32 / duration_time",
	.metric_name = "ddrc_bw",
	.metric_group = "DDRC",
},
{
	.desc = "Average delay of DDRC read command scheduling. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
	.metric_expr = "read_cmd_occupancy / read_cmd",
	.metric_name = "ddrc_read_lat",
	.metric_group = "DDRC",
},
{
	.desc = "Average delay of DDRC write command scheduling. Unit: hisi_sccl,ddrc ",
	.compat = "0x00000030",
	.topic = "uncore ddrc",
	.pmu = "hisi_sccl,ddrc",
	.metric_expr = "write_cmd_occupancy / write_cmd",
	.metric_name = "ddrc_write_lat",
	.metric_group = "DDRC",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_hisilicon_hip08[] = {
{
	.name = "rd_cpipe",
	.event = "config=0",
	.desc = "Total read accesses. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Total read accesses",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "wr_cpipe",
	.event = "config=0x1",
	.desc = "Total write accesses. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Total write accesses",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "rd_hit_cpipe",
	.event = "config=0x2",
	.desc = "Total read hits. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Total read hits",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "wr_hit_cpipe",
	.event = "config=0x3",
	.desc = "Total write hits. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Total write hits",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "victim_num",
	.event = "config=0x4",
	.desc = "l3c precharge commands. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "l3c precharge commands",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "rd_spipe",
	.event = "config=0x20",
	.desc = "Count of the number of read lines that come from this cluster of CPU core in spipe. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of read lines that come from this cluster of CPU core in spipe",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "wr_spipe",
	.event = "config=0x21",
	.desc = "Count of the number of write lines that come from this cluster of CPU core in spipe. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of write lines that come from this cluster of CPU core in spipe",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "rd_hit_spipe",
	.event = "config=0x22",
	.desc = "Count of the number of read lines that hits in spipe of this L3C. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of read lines that hits in spipe of this L3C",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "wr_hit_spipe",
	.event = "config=0x23",
	.desc = "Count of the number of write lines that hits in spipe of this L3C. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of write lines that hits in spipe of this L3C",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "back_invalid",
	.event = "config=0x29",
	.desc = "Count of the number of L3C back invalid operations. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of L3C back invalid operations",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "retry_cpu",
	.event = "config=0x40",
	.desc = "Count of the number of retry that L3C suppresses the CPU operations. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of retry that L3C suppresses the CPU operations",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "retry_ring",
	.event = "config=0x41",
	.desc = "Count of the number of retry that L3C suppresses the ring operations. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of retry that L3C suppresses the ring operations",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "prefetch_drop",
	.event = "config=0x42",
	.desc = "Count of the number of prefetch drops from this L3C. Unit: hisi_sccl,l3c ",
	.topic = "uncore l3c",
	.long_desc = "Count of the number of prefetch drops from this L3C",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "rx_ops_num",
	.event = "config=0",
	.desc = "The number of all operations received by the HHA. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "The number of all operations received by the HHA",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_outer",
	.event = "config=0x1",
	.desc = "The number of all operations received by the HHA from another socket. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "The number of all operations received by the HHA from another socket",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_sccl",
	.event = "config=0x2",
	.desc = "The number of all operations received by the HHA from another SCCL in this socket. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "The number of all operations received by the HHA from another SCCL in this socket",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_ccix",
	.event = "config=0x3",
	.desc = "Count of the number of operations that HHA has received from CCIX. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "Count of the number of operations that HHA has received from CCIX",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_wbi",
	.event = "config=0x4",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_wbip",
	.event = "config=0x5",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_wtistash",
	.event = "config=0x11",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rd_ddr_64b",
	.event = "config=0x1c",
	.desc = "The number of read operations sent by HHA to DDRC which size is 64 bytes. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "The number of read operations sent by HHA to DDRC which size is 64bytes",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "wr_ddr_64b",
	.event = "config=0x1d",
	.desc = "The number of write operations sent by HHA to DDRC which size is 64 bytes. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "The number of write operations sent by HHA to DDRC which size is 64 bytes",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rd_ddr_128b",
	.event = "config=0x1e",
	.desc = "The number of read operations sent by HHA to DDRC which size is 128 bytes. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "The number of read operations sent by HHA to DDRC which size is 128 bytes",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "wr_ddr_128b",
	.event = "config=0x1f",
	.desc = "The number of write operations sent by HHA to DDRC which size is 128 bytes. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "The number of write operations sent by HHA to DDRC which size is 128 bytes",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "spill_num",
	.event = "config=0x20",
	.desc = "Count of the number of spill operations that the HHA has sent. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "Count of the number of spill operations that the HHA has sent",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "spill_success",
	.event = "config=0x21",
	.desc = "Count of the number of successful spill operations that the HHA has sent. Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.long_desc = "Count of the number of successful spill operations that the HHA has sent",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "bi_num",
	.event = "config=0x23",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "mediated_num",
	.event = "config=0x32",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "tx_snp_num",
	.event = "config=0x33",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "tx_snp_outer",
	.event = "config=0x34",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "tx_snp_ccix",
	.event = "config=0x35",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_snprspdata",
	.event = "config=0x38",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "rx_snprsp_outer",
	.event = "config=0x3c",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "sdir-lookup",
	.event = "config=0x40",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "edir-lookup",
	.event = "config=0x41",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "sdir-hit",
	.event = "config=0x42",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "edir-hit",
	.event = "config=0x43",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "sdir-home-migrate",
	.event = "config=0x4c",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "edir-home-migrate",
	.event = "config=0x4d",
	.desc = "Unit: hisi_sccl,hha ",
	.topic = "uncore hha",
	.pmu = "hisi_sccl,hha",
},
{
	.name = "flux_wr",
	.event = "config=0",
	.desc = "DDRC total write operations. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC total write operations",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "flux_rd",
	.event = "config=0x1",
	.desc = "DDRC total read operations. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC total read operations",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "flux_wcmd",
	.event = "config=0x2",
	.desc = "DDRC write commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC write commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "flux_rcmd",
	.event = "config=0x3",
	.desc = "DDRC read commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC read commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "pre_cmd",
	.event = "config=0x4",
	.desc = "DDRC precharge commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC precharge commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "act_cmd",
	.event = "config=0x5",
	.desc = "DDRC active commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC active commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "rnk_chg",
	.event = "config=0x6",
	.desc = "DDRC rank commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC rank commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "rw_chg",
	.event = "config=0x7",
	.desc = "DDRC read and write changes. Unit: hisi_sccl,ddrc ",
	.topic = "uncore ddrc",
	.long_desc = "DDRC read and write changes",
	.pmu = "hisi_sccl,ddrc",
},
{
	.desc = "Frontend bound L1 topdown metric",
	.topic = "metrics",
	.long_desc = "Frontend bound L1 topdown metric",
	.metric_expr = "fetch_bubble / (4 * cpu_cycles)",
	.metric_name = "frontend_bound",
	.metric_group = "TopDownL1",
},
{
	.desc = "Bad Speculation L1 topdown metric",
	.topic = "metrics",
	.long_desc = "Bad Speculation L1 topdown metric",
	.metric_expr = "(inst_spec - inst_retired) / (4 * cpu_cycles)",
	.metric_name = "bad_speculation",
	.metric_group = "TopDownL1",
},
{
	.desc = "Retiring L1 topdown metric",
	.topic = "metrics",
	.long_desc = "Retiring L1 topdown metric",
	.metric_expr = "inst_retired / (cpu_cycles * 4)",
	.metric_name = "retiring",
	.metric_group = "TopDownL1",
},
{
	.desc = "Backend Bound L1 topdown metric",
	.topic = "metrics",
	.long_desc = "Backend Bound L1 topdown metric",
	.metric_expr = "1 - (frontend_bound + bad_speculation + retiring)",
	.metric_name = "backend_bound",
	.metric_group = "TopDownL1",
},
{
	.desc = "Fetch latency bound L2 topdown metric",
	.topic = "metrics",
	.long_desc = "Fetch latency bound L2 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x201d@ / cpu_cycles",
	.metric_name = "fetch_latency_bound",
	.metric_group = "TopDownL2",
},
{
	.desc = "Fetch bandwidth bound L2 topdown metric",
	.topic = "metrics",
	.long_desc = "Fetch bandwidth bound L2 topdown metric",
	.metric_expr = "frontend_bound - fetch_latency_bound",
	.metric_name = "fetch_bandwidth_bound",
	.metric_group = "TopDownL2",
},
{
	.desc = "Branch mispredicts L2 topdown metric",
	.topic = "metrics",
	.long_desc = "Branch mispredicts L2 topdown metric",
	.metric_expr = "(bad_speculation * br_mis_pred) / (br_mis_pred + armv8_pmuv3_0@event\\=0x2013@)",
	.metric_name = "branch_mispredicts",
	.metric_group = "TopDownL2",
},
{
	.desc = "Machine clears L2 topdown metric",
	.topic = "metrics",
	.long_desc = "Machine clears L2 topdown metric",
	.metric_expr = "bad_speculation - branch_mispredicts",
	.metric_name = "machine_clears",
	.metric_group = "TopDownL2",
},
{
	.desc = "Core bound L2 topdown metric",
	.topic = "metrics",
	.long_desc = "Core bound L2 topdown metric",
	.metric_expr = "(exe_stall_cycle - (mem_stall_anyload + armv8_pmuv3_0@event\\=0x7005@)) / cpu_cycles",
	.metric_name = "core_bound",
	.metric_group = "TopDownL2",
},
{
	.desc = "Memory bound L2 topdown metric",
	.topic = "metrics",
	.long_desc = "Memory bound L2 topdown metric",
	.metric_expr = "(mem_stall_anyload + armv8_pmuv3_0@event\\=0x7005@) / cpu_cycles",
	.metric_name = "memory_bound",
	.metric_group = "TopDownL2",
},
{
	.desc = "Idle by itlb miss L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Idle by itlb miss L3 topdown metric",
	.metric_expr = "(((l2i_tlb - l2i_tlb_refill) * 15) + (l2i_tlb_refill * 100)) / cpu_cycles",
	.metric_name = "idle_by_itlb_miss",
	.metric_group = "TopDownL3",
},
{
	.desc = "Idle by icache miss L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Idle by icache miss L3 topdown metric",
	.metric_expr = "(((l2i_cache - l2i_cache_refill) * 15) + (l2i_cache_refill * 100)) / cpu_cycles",
	.metric_name = "idle_by_icache_miss",
	.metric_group = "TopDownL3",
},
{
	.desc = "BP misp flush L3 topdown metric",
	.topic = "metrics",
	.long_desc = "BP misp flush L3 topdown metric",
	.metric_expr = "(br_mis_pred * 5) / cpu_cycles",
	.metric_name = "bp_misp_flush",
	.metric_group = "TopDownL3",
},
{
	.desc = "OOO flush L3 topdown metric",
	.topic = "metrics",
	.long_desc = "OOO flush L3 topdown metric",
	.metric_expr = "(armv8_pmuv3_0@event\\=0x2013@ * 5) / cpu_cycles",
	.metric_name = "ooo_flush",
	.metric_group = "TopDownL3",
},
{
	.desc = "Static predictor flush L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Static predictor flush L3 topdown metric",
	.metric_expr = "(armv8_pmuv3_0@event\\=0x1001@ * 5) / cpu_cycles",
	.metric_name = "sp_flush",
	.metric_group = "TopDownL3",
},
{
	.desc = "Indirect branch L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Indirect branch L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x1010@ / br_mis_pred",
	.metric_name = "indirect_branch",
	.metric_group = "TopDownL3",
},
{
	.desc = "Push branch L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Push branch L3 topdown metric",
	.metric_expr = "(armv8_pmuv3_0@event\\=0x1013@ + armv8_pmuv3_0@event\\=0x1016@) / br_mis_pred",
	.metric_name = "push_branch",
	.metric_group = "TopDownL3",
},
{
	.desc = "Pop branch L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Pop branch L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x100d@ / br_mis_pred",
	.metric_name = "pop_branch",
	.metric_group = "TopDownL3",
},
{
	.desc = "Other branch L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Other branch L3 topdown metric",
	.metric_expr = "(br_mis_pred - armv8_pmuv3_0@event\\=0x1010@ - armv8_pmuv3_0@event\\=0x1013@ - armv8_pmuv3_0@event\\=0x1016@ - armv8_pmuv3_0@event\\=0x100d@) / br_mis_pred",
	.metric_name = "other_branch",
	.metric_group = "TopDownL3",
},
{
	.desc = "Nuke flush L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Nuke flush L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x2012@ / armv8_pmuv3_0@event\\=0x2013@",
	.metric_name = "nuke_flush",
	.metric_group = "TopDownL3",
},
{
	.desc = "Other flush L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Other flush L3 topdown metric",
	.metric_expr = "1 - nuke_flush",
	.metric_name = "other_flush",
	.metric_group = "TopDownL3",
},
{
	.desc = "Sync stall L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Sync stall L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x2010@ / cpu_cycles",
	.metric_name = "sync_stall",
	.metric_group = "TopDownL3",
},
{
	.desc = "Rob stall L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Rob stall L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x2004@ / cpu_cycles",
	.metric_name = "rob_stall",
	.metric_group = "TopDownL3",
},
{
	.desc = "Ptag stall L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Ptag stall L3 topdown metric",
	.metric_expr = "(armv8_pmuv3_0@event\\=0x2006@ + armv8_pmuv3_0@event\\=0x2007@ + armv8_pmuv3_0@event\\=0x2008@) / cpu_cycles",
	.metric_name = "ptag_stall",
	.metric_group = "TopDownL3",
},
{
	.desc = "SaveOpQ stall L3 topdown metric",
	.topic = "metrics",
	.long_desc = "SaveOpQ stall L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x201e@ / cpu_cycles",
	.metric_name = "saveopq_stall",
	.metric_group = "TopDownL3",
},
{
	.desc = "PC buffer stall L3 topdown metric",
	.topic = "metrics",
	.long_desc = "PC buffer stall L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x2005@ / cpu_cycles",
	.metric_name = "pc_buffer_stall",
	.metric_group = "TopDownL3",
},
{
	.desc = "Divider L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Divider L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x7002@ / cpu_cycles",
	.metric_name = "divider",
	.metric_group = "TopDownL3",
},
{
	.desc = "FSU stall L3 topdown metric",
	.topic = "metrics",
	.long_desc = "FSU stall L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x7003@ / cpu_cycles",
	.metric_name = "fsu_stall",
	.metric_group = "TopDownL3",
},
{
	.desc = "EXE ports util L3 topdown metric",
	.topic = "metrics",
	.long_desc = "EXE ports util L3 topdown metric",
	.metric_expr = "core_bound - divider - fsu_stall",
	.metric_name = "exe_ports_util",
	.metric_group = "TopDownL3",
},
{
	.desc = "L1 bound L3 topdown metric",
	.topic = "metrics",
	.long_desc = "L1 bound L3 topdown metric",
	.metric_expr = "(mem_stall_anyload - mem_stall_l1miss) / cpu_cycles",
	.metric_name = "l1_bound",
	.metric_group = "TopDownL3",
},
{
	.desc = "L2 bound L3 topdown metric",
	.topic = "metrics",
	.long_desc = "L2 bound L3 topdown metric",
	.metric_expr = "(mem_stall_l1miss - mem_stall_l2miss) / cpu_cycles",
	.metric_name = "l2_bound",
	.metric_group = "TopDownL3",
},
{
	.desc = "Mem bound L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Mem bound L3 topdown metric",
	.metric_expr = "mem_stall_l2miss / cpu_cycles",
	.metric_name = "mem_bound",
	.metric_group = "TopDownL3",
},
{
	.desc = "Store bound L3 topdown metric",
	.topic = "metrics",
	.long_desc = "Store bound L3 topdown metric",
	.metric_expr = "armv8_pmuv3_0@event\\=0x7005@ / cpu_cycles",
	.metric_name = "store_bound",
	.metric_group = "TopDownL3",
},
{
	.name = "l1d_cache_rd",
	.event = "event=0x40",
	.desc = "L1D cache access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache access, read",
},
{
	.name = "l1d_cache_wr",
	.event = "event=0x41",
	.desc = "L1D cache access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache access, write",
},
{
	.name = "l1d_cache_refill_rd",
	.event = "event=0x42",
	.desc = "L1D cache refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, read",
},
{
	.name = "l1d_cache_refill_wr",
	.event = "event=0x43",
	.desc = "L1D cache refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, write",
},
{
	.name = "l1d_cache_wb_victim",
	.event = "event=0x46",
	.desc = "L1D cache Write-Back, victim",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache Write-Back, victim",
},
{
	.name = "l1d_cache_wb_clean",
	.event = "event=0x47",
	.desc = "L1D cache Write-Back, cleaning and coherency",
	.topic = "core imp def",
	.long_desc = "Level 1 data cache Write-Back, cleaning and coherency",
},
{
	.name = "l1d_cache_inval",
	.event = "event=0x48",
	.desc = "L1D cache invalidate",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache invalidate",
},
{
	.name = "l1d_tlb_refill_rd",
	.event = "event=0x4c",
	.desc = "L1D tlb refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data TLB refill, read",
},
{
	.name = "l1d_tlb_refill_wr",
	.event = "event=0x4d",
	.desc = "L1D tlb refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data TLB refill, write",
},
{
	.name = "l1d_tlb_rd",
	.event = "event=0x4e",
	.desc = "L1D tlb access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data or unified TLB access, read",
},
{
	.name = "l1d_tlb_wr",
	.event = "event=0x4f",
	.desc = "L1D tlb access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data or unified TLB access, write",
},
{
	.name = "l2d_cache_rd",
	.event = "event=0x50",
	.desc = "L2D cache access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data cache access, read",
},
{
	.name = "l2d_cache_wr",
	.event = "event=0x51",
	.desc = "L2D cache access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data cache access, write",
},
{
	.name = "l2d_cache_refill_rd",
	.event = "event=0x52",
	.desc = "L2D cache refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data cache refill, read",
},
{
	.name = "l2d_cache_refill_wr",
	.event = "event=0x53",
	.desc = "L2D cache refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data cache refill, write",
},
{
	.name = "l2d_cache_wb_victim",
	.event = "event=0x56",
	.desc = "L2D cache Write-Back, victim",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data cache Write-Back, victim",
},
{
	.name = "l2d_cache_wb_clean",
	.event = "event=0x57",
	.desc = "L2D cache Write-Back, cleaning and coherency",
	.topic = "core imp def",
	.long_desc = "Level 2 data cache Write-Back, cleaning and coherency",
},
{
	.name = "l2d_cache_inval",
	.event = "event=0x58",
	.desc = "L2D cache invalidate",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data cache invalidate",
},
{
	.name = "l1i_cache_prf",
	.event = "event=0x102e",
	.desc = "L1I cache prefetch access count",
	.topic = "core imp def",
	.long_desc = "Level 1 instruction cache prefetch access count",
},
{
	.name = "l1i_cache_prf_refill",
	.event = "event=0x102f",
	.desc = "L1I cache miss due to prefetch access count",
	.topic = "core imp def",
	.long_desc = "Level 1 instruction cache miss due to prefetch access count",
},
{
	.name = "iq_is_empty",
	.event = "event=0x1043",
	.desc = "Instruction queue is empty",
	.topic = "core imp def",
	.long_desc = "Instruction queue is empty",
},
{
	.name = "if_is_stall",
	.event = "event=0x1044",
	.desc = "Instruction fetch stall cycles",
	.topic = "core imp def",
	.long_desc = "Instruction fetch stall cycles",
},
{
	.name = "fetch_bubble",
	.event = "event=0x2014",
	.desc = "Instructions can receive, but not send",
	.topic = "core imp def",
	.long_desc = "Instructions can receive, but not send",
},
{
	.name = "prf_req",
	.event = "event=0x6013",
	.desc = "Prefetch request from LSU",
	.topic = "core imp def",
	.long_desc = "Prefetch request from LSU",
},
{
	.name = "hit_on_prf",
	.event = "event=0x6014",
	.desc = "Hit on prefetched data",
	.topic = "core imp def",
	.long_desc = "Hit on prefetched data",
},
{
	.name = "exe_stall_cycle",
	.event = "event=0x7001",
	.desc = "Cycles of that the number of issue ups are less than 4",
	.topic = "core imp def",
	.long_desc = "Cycles of that the number of issuing micro operations are less than 4",
},
{
	.name = "mem_stall_anyload",
	.event = "event=0x7004",
	.desc = "No any micro operation is issued and meanwhile any load operation is not resolved",
	.topic = "core imp def",
	.long_desc = "No any micro operation is issued and meanwhile any load operation is not resolved",
},
{
	.name = "mem_stall_l1miss",
	.event = "event=0x7006",
	.desc = "No any micro operation is issued and meanwhile there is any load operation missing L1 cache and pending data refill",
	.topic = "core imp def",
	.long_desc = "No any micro operation is issued and meanwhile there is any load operation missing L1 cache and pending data refill",
},
{
	.name = "mem_stall_l2miss",
	.event = "event=0x7007",
	.desc = "No any micro operation is issued and meanwhile there is any load operation missing both L1 and L2 cache and pending data refill from L3 cache",
	.topic = "core imp def",
	.long_desc = "No any micro operation is issued and meanwhile there is any load operation missing both L1 and L2 cache and pending data refill from L3 cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_ampere_emag[] = {
{
	.name = "l1d_cache_rd",
	.event = "event=0x40",
	.desc = "L1D cache access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache access, read",
},
{
	.name = "l1d_cache_wr",
	.event = "event=0x41",
	.desc = "L1D cache access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache access, write",
},
{
	.name = "l1d_cache_refill_rd",
	.event = "event=0x42",
	.desc = "L1D cache refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, read",
},
{
	.name = "l1d_cache_refill_wr",
	.event = "event=0x43",
	.desc = "L1D cache refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, write",
},
{
	.name = "l1d_tlb_refill_rd",
	.event = "event=0x4c",
	.desc = "L1D tlb refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data TLB refill, read",
},
{
	.name = "l1d_tlb_refill_wr",
	.event = "event=0x4d",
	.desc = "L1D tlb refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data TLB refill, write",
},
{
	.name = "l1d_tlb_rd",
	.event = "event=0x4e",
	.desc = "L1D tlb access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data or unified TLB access, read",
},
{
	.name = "l1d_tlb_wr",
	.event = "event=0x4f",
	.desc = "L1D tlb access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data or unified TLB access, write",
},
{
	.name = "bus_access_rd",
	.event = "event=0x60",
	.desc = "Bus access read",
	.topic = "core imp def",
	.long_desc = "Bus access read",
},
{
	.name = "bus_access_wr",
	.event = "event=0x61",
	.desc = "Bus access write",
	.topic = "core imp def",
	.long_desc = "Bus access write",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cavium_thunderx2[] = {
{
	.name = "l1d_cache_rd",
	.event = "event=0x40",
	.desc = "L1D cache access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache access, read",
},
{
	.name = "l1d_cache_wr",
	.event = "event=0x41",
	.desc = "L1D cache access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache access, write",
},
{
	.name = "l1d_cache_refill_rd",
	.event = "event=0x42",
	.desc = "L1D cache refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, read",
},
{
	.name = "l1d_cache_refill_wr",
	.event = "event=0x43",
	.desc = "L1D cache refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, write",
},
{
	.name = "l1d_cache_refill_inner",
	.event = "event=0x44",
	.desc = "L1D cache refill, inner",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, inner",
},
{
	.name = "l1d_cache_refill_outer",
	.event = "event=0x45",
	.desc = "L1D cache refill, outer",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache refill, outer",
},
{
	.name = "l1d_cache_wb_victim",
	.event = "event=0x46",
	.desc = "L1D cache Write-Back, victim",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache Write-Back, victim",
},
{
	.name = "l1d_cache_wb_clean",
	.event = "event=0x47",
	.desc = "L1D cache Write-Back, cleaning and coherency",
	.topic = "core imp def",
	.long_desc = "Level 1 data cache Write-Back, cleaning and coherency",
},
{
	.name = "l1d_cache_inval",
	.event = "event=0x48",
	.desc = "L1D cache invalidate",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data cache invalidate",
},
{
	.name = "l1d_tlb_refill_rd",
	.event = "event=0x4c",
	.desc = "L1D tlb refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data TLB refill, read",
},
{
	.name = "l1d_tlb_refill_wr",
	.event = "event=0x4d",
	.desc = "L1D tlb refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data TLB refill, write",
},
{
	.name = "l1d_tlb_rd",
	.event = "event=0x4e",
	.desc = "L1D tlb access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data or unified TLB access, read",
},
{
	.name = "l1d_tlb_wr",
	.event = "event=0x4f",
	.desc = "L1D tlb access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 1 data or unified TLB access, write",
},
{
	.name = "l2d_tlb_refill_rd",
	.event = "event=0x5c",
	.desc = "L2D cache refill, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data or unified TLB refill, read",
},
{
	.name = "l2d_tlb_refill_wr",
	.event = "event=0x5d",
	.desc = "L2D cache refill, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data or unified TLB refill, write",
},
{
	.name = "l2d_tlb_rd",
	.event = "event=0x5e",
	.desc = "L2D cache access, read",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data or unified TLB access, read",
},
{
	.name = "l2d_tlb_wr",
	.event = "event=0x5f",
	.desc = "L2D cache access, write",
	.topic = "core imp def",
	.long_desc = "Attributable Level 2 data or unified TLB access, write",
},
{
	.name = "bus_access_rd",
	.event = "event=0x60",
	.desc = "Bus access read",
	.topic = "core imp def",
	.long_desc = "Bus access read",
},
{
	.name = "bus_access_wr",
	.event = "event=0x61",
	.desc = "Bus access write",
	.topic = "core imp def",
	.long_desc = "Bus access write",
},
{
	.name = "mem_access_rd",
	.event = "event=0x66",
	.desc = "Data memory access, read",
	.topic = "core imp def",
	.long_desc = "Data memory access, read",
},
{
	.name = "mem_access_wr",
	.event = "event=0x67",
	.desc = "Data memory access, write",
	.topic = "core imp def",
	.long_desc = "Data memory access, write",
},
{
	.name = "unaligned_ld_spec",
	.event = "event=0x68",
	.desc = "Unaligned access, read",
	.topic = "core imp def",
	.long_desc = "Unaligned access, read",
},
{
	.name = "unaligned_st_spec",
	.event = "event=0x69",
	.desc = "Unaligned access, write",
	.topic = "core imp def",
	.long_desc = "Unaligned access, write",
},
{
	.name = "unaligned_ldst_spec",
	.event = "event=0x6a",
	.desc = "Unaligned access",
	.topic = "core imp def",
	.long_desc = "Unaligned access",
},
{
	.name = "exc_undef",
	.event = "event=0x81",
	.desc = "Exception taken, Other synchronous",
	.topic = "core imp def",
	.long_desc = "Exception taken, Other synchronous",
},
{
	.name = "exc_svc",
	.event = "event=0x82",
	.desc = "Exception taken, Supervisor Call",
	.topic = "core imp def",
	.long_desc = "Exception taken, Supervisor Call",
},
{
	.name = "exc_pabort",
	.event = "event=0x83",
	.desc = "Exception taken, Instruction Abort",
	.topic = "core imp def",
	.long_desc = "Exception taken, Instruction Abort",
},
{
	.name = "exc_dabort",
	.event = "event=0x84",
	.desc = "Exception taken, Data Abort and SError",
	.topic = "core imp def",
	.long_desc = "Exception taken, Data Abort and SError",
},
{
	.name = "exc_irq",
	.event = "event=0x86",
	.desc = "Exception taken, IRQ",
	.topic = "core imp def",
	.long_desc = "Exception taken, IRQ",
},
{
	.name = "exc_fiq",
	.event = "event=0x87",
	.desc = "Exception taken, FIQ",
	.topic = "core imp def",
	.long_desc = "Exception taken, FIQ",
},
{
	.name = "exc_smc",
	.event = "event=0x88",
	.desc = "Exception taken, Secure Monitor Call",
	.topic = "core imp def",
	.long_desc = "Exception taken, Secure Monitor Call",
},
{
	.name = "exc_hvc",
	.event = "event=0x8a",
	.desc = "Exception taken, Hypervisor Call",
	.topic = "core imp def",
	.long_desc = "Exception taken, Hypervisor Call",
},
{
	.name = "exc_trap_pabort",
	.event = "event=0x8b",
	.desc = "Exception taken, Instruction Abort not taken locally",
	.topic = "core imp def",
	.long_desc = "Exception taken, Instruction Abort not taken locally",
},
{
	.name = "exc_trap_dabort",
	.event = "event=0x8c",
	.desc = "Exception taken, Data Abort or SError not taken locally",
	.topic = "core imp def",
	.long_desc = "Exception taken, Data Abort or SError not taken locally",
},
{
	.name = "exc_trap_other",
	.event = "event=0x8d",
	.desc = "Exception taken, Other traps not taken locally",
	.topic = "core imp def",
	.long_desc = "Exception taken, Other traps not taken locally",
},
{
	.name = "exc_trap_irq",
	.event = "event=0x8e",
	.desc = "Exception taken, IRQ not taken locally",
	.topic = "core imp def",
	.long_desc = "Exception taken, IRQ not taken locally",
},
{
	.name = "exc_trap_fiq",
	.event = "event=0x8f",
	.desc = "Exception taken, FIQ not taken locally",
	.topic = "core imp def",
	.long_desc = "Exception taken, FIQ not taken locally",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_test_soc_sys[] = {
{
	.name = "sys_ddr_pmu.write_cycles",
	.event = "event=0x2b",
	.desc = "ddr write-cycles event. Unit: uncore_sys_ddr_pmu ",
	.compat = "v8",
	.topic = "uncore",
	.pmu = "uncore_sys_ddr_pmu",
},
{
	.name = "sys_hisi_ddrc.flux_rd",
	.event = "event=0x84",
	.desc = "DDRC read commands. Unit: uncore_sys_hisi_ddrc ",
	.compat = "hip09",
	.topic = "uncore",
	.long_desc = "DDRC read commands",
	.pmu = "uncore_sys_hisi_ddrc",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_test_soc_cpu[] = {
{
	.name = "uncore_hisi_ddrc.flux_wcmd",
	.event = "event=0x2",
	.desc = "DDRC write commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore",
	.long_desc = "DDRC write commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "Unit: uncore_cbox A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.topic = "uncore",
	.long_desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.pmu = "uncore_cbox",
},
{
	.name = "uncore_hisi_l3c.rd_hit_cpipe",
	.event = "event=0x7",
	.desc = "Total read hits. Unit: hisi_sccl,l3c ",
	.topic = "uncore",
	.long_desc = "Total read hits",
	.pmu = "hisi_sccl,l3c",
},
{
	.name = "uncore_imc_free_running.cache_miss",
	.event = "event=0x12",
	.desc = "Total cache misses. Unit: uncore_imc_free_running ",
	.topic = "uncore",
	.long_desc = "Total cache misses",
	.pmu = "uncore_imc_free_running",
},
{
	.name = "uncore_imc.cache_hits",
	.event = "event=0x34",
	.desc = "Total cache hits. Unit: uncore_imc ",
	.topic = "uncore",
	.long_desc = "Total cache hits",
	.pmu = "uncore_imc",
},
{
	.name = "segment_reg_loads.any",
	.event = "umask=0x80,period=200000,event=0x6",
	.desc = "Number of segment register loads",
	.topic = "other",
},
{
	.name = "dispatch_blocked.any",
	.event = "umask=0x20,period=200000,event=0x9",
	.desc = "Memory cluster signals to block micro-op dispatch for any reason",
	.topic = "other",
},
{
	.name = "eist_trans",
	.event = "umask=0x0,period=200000,event=0x3a",
	.desc = "Number of Enhanced Intel SpeedStep(R) Technology (EIST) transitions",
	.topic = "other",
},
{
	.name = "l3_cache_rd",
	.event = "event=0x40",
	.desc = "L3 cache access, read",
	.topic = "cache",
	.long_desc = "Attributable Level 3 cache access, read",
},
{
	.name = "bp_l1_btb_correct",
	.event = "event=0x8a",
	.desc = "L1 BTB Correction",
	.topic = "branch",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 BTB Correction",
	.topic = "branch",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_events_map pmu_events_map[] = {
{
	.cpuid = "0x00000000410fd03[[:xdigit:]]",
	.version = "v1",
	.type = "core",
	.table = pme_arm_cortex_a53
},
{
	.cpuid = "0x00000000420f5160",
	.version = "v1",
	.type = "core",
	.table = pme_cavium_thunderx2
},
{
	.cpuid = "0x00000000430f0af0",
	.version = "v1",
	.type = "core",
	.table = pme_cavium_thunderx2
},
{
	.cpuid = "0x00000000480fd010",
	.version = "v1",
	.type = "core",
	.table = pme_hisilicon_hip08
},
{
	.cpuid = "0x00000000500f0000",
	.version = "v1",
	.type = "core",
	.table = pme_ampere_emag
},
{
	.cpuid = "testcpu",
	.version = "v1",
	.type = "core",
	.table = pme_test_soc_cpu,
},
{
	.cpuid = 0,
	.version = 0,
	.type = 0,
	.table = 0,
},
};

struct pmu_sys_events pmu_sys_event_tables[] = {
	{
		.table = pme_hisilicon_hip09_sys,
		.name = "pme_hisilicon_hip09_sys",
	},
	{
		.table = pme_test_soc_sys,
		.name = "pme_test_soc_sys",
	},
	{
		.table = 0
	},
};
